module Docker
  class Path

    attr_reader :path, :name
    def initialize(path)
      raise "Bad Path: Directory Not Found" unless Dir.exist?(path)
      @path = File.expand_path(path)
      @name = @path.sub(/\/$/, '').sub(/.+\//, '')
    end

    def to_s
      @path
    end

    def to_dpath
      self
    end
  end
end
