module Docker
  class Postgres < Container

    def self.run(name, version = '9.3.5')
      pg = Docker.find_container(name: name)
      if pg
        pg.start! if pg.stopped? 
      else
        pg = super("postgres:#{version}", "-d --name #{name}")
        sleep 3
      end
      pg
    end
  end
end
