module Docker
  class Repository < Image

    attr_reader :id, :image_id
    def initialize(id, name)
      @id       = name 
      @image_id = id 
    end

    def remove!
      `docker rmi #{id}`
    end

    def remove_image!
      `docker rmi -f #{image_id}`
    end

    def to_s
      id 
    end
  end
end
